import request from '@/utils/request'

// 查询我的题目列表
export function listMemberSubjectAll(query) {
  return request({
    url: '/hezhi/memberSubjectAll/list',
    method: 'get',
    params: query
  })
}

// 查询我的题目详细
export function getMemberSubjectAll(memberSubjectAllId) {
  return request({
    url: '/hezhi/memberSubjectAll/' + memberSubjectAllId,
    method: 'get'
  })
}

// 新增我的题目
export function addMemberSubjectAll(data) {
  return request({
    url: '/hezhi/memberSubjectAll',
    method: 'post',
    data: data
  })
}

// 修改我的题目
export function updateMemberSubjectAll(data) {
  return request({
    url: '/hezhi/memberSubjectAll',
    method: 'put',
    data: data
  })
}

// 删除我的题目
export function delMemberSubjectAll(memberSubjectAllId) {
  return request({
    url: '/hezhi/memberSubjectAll/' + memberSubjectAllId,
    method: 'delete'
  })
}
